/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

a.brxe-button.bricks-button.bricks-background-primary.ship-now-btn svg {
    height: 25px;
    width: 25px;
}

table.tt-o-table.tt-o-table-striped th {
    text-align: left;
}



.tt-o-order-total,
.tt-o-order-earning,
.tt-o-order-status {
    padding: 15px 0;
}

.tt-o-table tbody tr:not(:last-child) .tt-o-order-total,
.tt-o-table tbody tr:not(:last-child) .tt-o-order-earning,
.tt-o-table tbody tr:not(:last-child) .tt-o-order-status,
.tt-o-table tbody tr:not(:last-child) .tt-o-order-action {
    border-bottom: 1px solid var(--bricks-border-color);
}

.tt-o-table thead th:not(:first-child) {
    border-bottom: 1px solid var(--bricks-border-color);
}

table.tt-o-table.tt-o-table-striped{
    border-spacing: 0;
    background-color: var(--bricks-color-iukxzn);
    padding: 15px;
    border-radius: 10px;
}

.tt-o-table thead th{
    padding: 0 0 15px 0;
}

.tt-o-label{
    padding: 2px 5px;
    border-radius: 5px;
}

.tt-o-label-processing {
    background-color: var(--bricks-color-hpbdlh);
    color: var(--bricks-color-juumuf);
}

.tt-o-label-completed {
    background-color: var(--bricks-color-nbyqxs);
    color: var(--bricks-color-juumuf);
}

.tt-o-label-delivered, .tt-o-label-shipped {
    background-color: var(--bricks-color-ubqtam);
    color: var(--bricks-color-cetvnu);
}

.tt-o-label-pending {
    background-color: var(--bricks-color-cetvnu);
    color: var(--bricks-color-juumuf);
}

.tt-o-label-cancelled, .tt-o-label-refunded{
    background-color: var(--bricks-color-cetvnu);
    color: var(--bricks-color-juumuf);
}


.product-status-pending{
    color: var(--bricks-color-cetvnu);
    background-color: var(--bricks-color-ubqtam);
}

.product-status-images-required {
    color: var(--bricks-color-juumuf);
    background-color: var(--bricks-color-cetvnu);
}

.product-status-publish {
    color: var(--bricks-color-juumuf);
    background-color: var(--bricks-color-nbyqxs);
}


.dokan-dashboard-content.dokan-withdraw-content{
    padding: 0px !important;
}

article.dokan-withdraw-area{
        padding: 15px !important;
        box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1) !important;
        background-color: var(--bricks-color-iukxzn);
        border-radius: var(--radius-default);
}

.dokan-btn{
    color: var(--bricks-color-juumuf) !important;
        font-family: "Montserrat" !important;
        font-weight: 700 !important;
        text-transform: uppercase !important;
        line-height: 1.4 !important;
        border-radius: var(--radius-small) !important;
        transition: var(--transition-default) !important;
        background-color: var(--bricks-color-nbyqxs) !important;
        border-color: var(--bricks-color-nbyqxs) !important;
}

.dokan-btn:hover {
    border-color: var(--bricks-color-hpbdlh) !important;
    background-color: var(--bricks-color-hpbdlh) !important;
}

article.dokan-withdraw-area .dokan-message:before{
    display: none;
}

article.dokan-withdraw-area .dokan-message {
    padding: 15px !important;
}

.dokan-withdraw-content .dokan-withdraw-area .dokan-panel-body .dokan-panel-inner-container .dokan-w8 strong a{
    color: var(--bricks-color-nbyqxs) !important;
}

article.dokan-withdraw-area .dokan-panel-default{
    border-radius: var(--radius-default) !important;
}

.dokan-panel-default>.dokan-panel-heading{
border-radius: var(--radius-default) !important;
}

.dokan-message {
    border-top: none !important;
    border-radius: var(--radius-default) !important;
}

button.dokan-close {
    width: 17px;
    height: 17px;
    background-color: var(--bricks-color-ubqtam) !important;
    opacity: 1;
    display: flex;
    justify-content: center;
    border-radius: var(--radius-small);
    color: var(--bricks-color-cetvnu);
    transition: all 0.5s !important;
}

.dokan-close:hover,
.dokan-close:focus {
    background-color: var(--bricks-color-nbyqxs) !important;
    color: var(--bricks-color-juumuf) !important;
    cursor: pointer;
    opacity: 1 !important;
    filter: none !important;
}

.dokan-panel-body.general-details.banking-details {
    display: flex;
}

.iziModal .iziModal-header-subtitle,
.iziModal .iziModal-header-title{
    font-family: "Montserrat" !important;
    font-weight: 700 !important;
}

.iziModal {
    border-radius: 10px !important;
    border: none !important;
}

:root {
    --bricks-color-nbyqxs: #17affc;
    --bricks-color-hpbdlh: #0298e8;
    --bricks-color-ubqtam: #95e1fe;
    --bricks-color-iukxzn: #f2f3f5;
    --bricks-color-cetvnu: #001319;
    --bricks-color-juumuf: #fcfcfd;
}

@media (max-width: 767px) {
    button#dokan-request-withdraw-button {
        width: 100%;
    }
    a#dokan-withdraw-display-requests-button {
        width: 100%;
    }
}